using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Data.SqlClient;
using System.Data.OleDb;
using System.IO;
using DL;
using BE;
using BL;
using Utilitaria;

public partial class bienvenida : System.Web.UI.Page
{
    public String id;
    public String clave;
    public String Est;
    public String hot;

    protected void Page_Load(object sender, EventArgs e)
    {
            if (Session["Usuario"] == null)
            {
                Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
            }

            if (!Page.IsPostBack)
            {
                id = Encriptador.Encriptador.f_encriptar(Cls_Propiedades.PrivilegiosUsuario[0].NombreUsuario);
                clave = Encriptador.Encriptador.f_encriptar(Cls_Propiedades.PrivilegiosUsuario[0].Clave);
                Est = Encriptador.Encriptador.f_encriptar(Cls_Propiedades.PrivilegiosUsuario[0].EmpresaID);
                hot = Encriptador.Encriptador.f_encriptar(Cls_Propiedades.PrivilegiosUsuario[0].HotelID);

                Muestra_Menu();
            }
                
      }

    private void Muestra_Menu()
    {
        BLTablaModulos objetLlista = new BLTablaModulos();
        List<BETablaModulos> lista = new List<BETablaModulos>();

        //lista =
        rpControles.DataSource = objetLlista.fnSelTablaModulos();
        rpControles.DataBind();

    }





}
